## org.apache.poi.ss.formula.udf
Class AggregatingUDFFinder

    java.lang.Object
      org.apache.poi.ss.formula.udf.AggregatingUDFFinder

All Implemented Interfaces:
  UDFFinder

Direct Known Subclasses:
  IndexedUDFFinder

    public class AggregatingUDFFinder

extends java.lang.Object
implements UDFFinder

Collects add-in libraries and VB macro functions together into one UDF finder

Author:
  PUdalau

Field Summary

Fields inherited from interface org.apache.poi.ss.formula.udf.UDFFinder
`DEFAULT`

Constructor Summary
`AggregatingUDFFinder(UDFFinder... usedToolPacks)`

Method Summary
`void` `add(UDFFinder toolPack)` Add a new toolpack
`FreeRefFunction` `findFunction(java.lang.String name)` Returns executor by specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregatingUDFFinder

    public AggregatingUDFFinder(UDFFinder... usedToolPacks)

Method Detail

### findFunction

    public FreeRefFunction findFunction(java.lang.String name)

  Returns executor by specified name. Returns `null` if function isn't contained by any registered tool pack.

  Specified by:
    `findFunction` in interface `UDFFinder`
  Parameters:
    `name` - Name of function.
  Returns:
    Function executor. `null` if not found

### add

    public void add(UDFFinder toolPack)

  Add a new toolpack

  Parameters:
    `toolPack` - the UDF toolpack to add

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.